function [epsln_vec,alpha_epsln_vec] = plot_kreiss_constant_cont(A,low,...
                                                            high,h,fignum)
% Copyright Emre Mengi, July 2006
% Draws alpha_epsln/epsln as a function of epsln in the
% the interval [low,high] with discretization h in the
% logarithmic scale.

if nargin < 5
    fignum = 1;
    
    if nargin < 4
        h = 1;
        
        if nargin < 3
            high = 10;
            
            if nargin < 2
                low = -8;
            end
        end
    end
end


alpha_epsln_vec = [];
epsln_vec = [];
for epsln = low:h:high
    alpha_epsln = pspa(A,10^epsln);
    if alpha_epsln < 0
        alpha_epsln_vec = [alpha_epsln_vec 0];
    else
        alpha_epsln_vec = [alpha_epsln_vec alpha_epsln/(10^epsln)];
    end
    epsln_vec = [epsln_vec epsln];
end

figure(fignum);
plot(epsln_vec,alpha_epsln_vec,'b-x');
return;